Analytický dotaz byl zamítnut

Moses SkodaVývojář1 min čtení

Při tomto problému vrací API stav 422 Unprocessable Content. Hodnota type je https://lingo.dev/docs/api/errors/analytics-query-rejected. Společnou strukturu všech chyb najdete v části Chyby a stavové kódy.

<detail>

Pole#

Kromě standardních položek type, status, title a detail obsahuje tělo odpovědi následující pole. Z jejich hodnot se sestavuje text detail, takže klient může místo něj zobrazit vlastní text.

PoleTyp
rule"emptyQuery" | "dimensionRepeated" | "axisPlainEntry" | "rangeEmpty" | "derivationRequiresTime" | "derivationRequiresBucketedAxis" | "derivationNotDecomposable" | "previousPeriodNotWholeBuckets" | "previousPeriodOffsetMisaligned" | "previousPeriodOffsetTooShort" | "mixedFilterKinds" | "topNRequiresKeyDimension" | "topNByNotRankable" | "derivedPathNotRequested" | "orderByDimensionNotSelected" | "shareDimensionNotSelected" | "binsNotAscending" | "limitAboveMax" | "detailFieldNotAllowed" | "groupedFieldNotAllowed" | "detailKeyRequired" | "cursorInvalid" | "cursorOrderMismatch" | "keysetColumnNullable" | "maxRangeDays" | "maxBuckets" | "resultTooLarge" | "propertyRequired"
pathstring[]

Příklad#

json
{
  "detail": "<detail>",
  "rule": "emptyQuery",
  "path": [
    "<path>"
  ],
  "type": "https://lingo.dev/docs/api/errors/analytics-query-rejected",
  "status": 422,
  "title": "Analytics query rejected"
}

Koncové body, které chybu vracejí#

  • GET /v2/organizations/{orgId}/analytics/models
  • POST /v2/organizations/{orgId}/analytics/event-properties
  • POST /v2/organizations/{orgId}/analytics/event-property-keys
  • POST /v2/organizations/{orgId}/analytics/event-volume
  • POST /v2/organizations/{orgId}/analytics/events
  • POST /v2/organizations/{orgId}/analytics/events-by-property
  • POST /v2/organizations/{orgId}/analytics/measurement-answers
  • POST /v2/organizations/{orgId}/analytics/measurement-answers-by-property
  • POST /v2/organizations/{orgId}/analytics/measurement-fields
  • POST /v2/organizations/{orgId}/analytics/measurement-scores
  • POST /v2/organizations/{orgId}/analytics/translation-volume